## org.openorb.compiler.parser
Class CompilationContext

    java.lang.Object
      |
      +--org.openorb.compiler.parser.CompilationContext

public class CompilationContext
extends java.lang.Object

Compilation context, holds current lexical element and file information.

Version:
  $Revision: 1.7 $ $Date: 2002/08/21 08:19:24 $
Author:
  Jerome Daniel

Field Summary
`int` `base` Numeric value base 0 = decimal, 1 = hexa
`char` `car` Current character
`java.io.PushbackReader` `is` Source input.
`int` `line` Current line number
`java.lang.String` `name` File name
`int` `nberrors` Number of errors.
`int` `nbwarning` Number of warnings
`int` `one` Delayed symbol
`java.lang.String` `prefix` Current prefix
`java.net.URL` `sourceURL` Source URL.
`int` `symb` Current symbol
`int` `type` Current numeric type value 0 = integer, 1 = float
`java.lang.String` `value` Current text type value

Constructor Summary
`CompilationContext()` Creates a compilation context

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### is

    public java.io.PushbackReader is

  Source input.

### symb

    public int symb

  Current symbol

### one

    public int one

  Delayed symbol

### line

    public int line

  Current line number

### nberrors

    public int nberrors

  Number of errors.

### nbwarning

    public int nbwarning

  Number of warnings

### name

    public java.lang.String name

  File name

### sourceURL

    public java.net.URL sourceURL

  Source URL.

### car

    public char car

  Current character

### value

    public java.lang.String value

  Current text type value

### type

    public int type

  Current numeric type value 0 = integer, 1 = float

### base

    public int base

  Numeric value base 0 = decimal, 1 = hexa

### prefix

    public java.lang.String prefix

  Current prefix

Constructor Detail

### CompilationContext

    public CompilationContext()

  Creates a compilation context